<?

sapp_include_once('common.php');
$phpbb_dbname = sapp_get_param('phpbb_dbname');
if (empty($phpbb_dbname)) {
	$phpbb_dbname = sapp_get_new_db_name('mysql');
}
$phpbb_dbuser = sapp_get_param('phpbb_dbuser');
if (empty($phpbb_dbuser)) {
	$phpbb_dbuser = sapp_get_new_db_user($phpbb_dbname, 'mysql');
}

?>

<fieldset>
	<legend><?=msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('install_prefix') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-install_prefix"><?=msg('install_prefix')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="install_prefix" id="fid-install_prefix" value="<?=htmlspecialchars(sapp_get_install_prefix())?>">
		<span class="hint"><?=sapp_is_wrong('install_prefix') ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
</tr>

<? if (sapp_is_ssl_avaible()): ?>

<tr <?=sapp_is_wrong('ssl') ? 'class="error"' : ''?>>
	<td class="name"><?=msg('ssl')?> <?=sapp_is_wrong('ssl')?></td>
	<td>
		<SELECT name="ssl">
			<OPTION value="false" <?=sapp_get_param('ssl')!='true' ? 'SELECTED':''?>><?=msg('ssl_off');?></OPTION>
			<OPTION value="true"  <?=sapp_get_param('ssl')=='true' ? 'SELECTED':''?>><?=msg('ssl_on');?></OPTION>
		</SELECT>
		<span class="hint"><?=sapp_is_wrong('ssl') ? sapp_get_wrong('ssl') : ''?></span>
	</td>
</tr>

<? endif; ?>

</table>

</fieldset>

<fieldset>
	<legend><?=msg('database_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('phpbb_dbname') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_dbname"><?=msg('phpbb_dbname')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="phpbb_dbname" id="fid-phpbb_dbname" value="<?=htmlspecialchars($phpbb_dbname)?>">
		<span class="hint"><?=sapp_is_wrong('phpbb_dbname') ? sapp_get_wrong('phpbb_dbname') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('phpbb_dbuser') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_dbuser"><?=msg('phpbb_dbuser')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="phpbb_dbuser" id="fid-phpbb_dbuser" value="<?=htmlspecialchars($phpbb_dbuser)?>">
		<span class="hint"><?=sapp_is_wrong('phpbb_dbuser') ? sapp_get_wrong('phpbb_dbuser') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('phpbb_dbpasswd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_dbpasswd"><?=msg('phpbb_dbpasswd')?>&nbsp;<?=sapp_get_param('phpbb_dbpasswd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="phpbb_dbpasswd" id="fid-phpbb_dbpasswd" value="">
		<span class="hint"><?=sapp_is_wrong('phpbb_dbpasswd') ? sapp_get_wrong('phpbb_dbpasswd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('phpbb_dbconfirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_dbconfirm"><?=msg('phpbb_dbconfirm')?>&nbsp;<?=sapp_get_param('phpbb_dbpasswd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="phpbb_dbconfirm" id="fid-phpbb_dbconfirm" value="">
		<span class="hint"><?=sapp_is_wrong('phpbb_dbconfirm') ? sapp_get_wrong('phpbb_dbconfirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>

<fieldset>
	<legend><?=msg('administrator_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('phpbb_site_desc') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_site_desc"><?=msg('phpbb_site_desc')?>&nbsp;</label></td>
	<td>
		<input type="text" name="phpbb_site_desc" id="fid-phpbb_site_desc" value="<?=htmlspecialchars(sapp_get_param('phpbb_site_desc'))?>">
		<span class="hint"><?=sapp_is_wrong('phpbb_site_desc') ? sapp_get_wrong('phpbb_site_desc') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('phpbb_admin_email') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_admin_email"><?=msg('phpbb_admin_email')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="phpbb_admin_email" id="fid-phpbb_admin_email" value="<?=htmlspecialchars(sapp_get_param('phpbb_admin_email'))?>">
		<span class="hint"><?=sapp_is_wrong('phpbb_admin_email') ? sapp_get_wrong('phpbb_admin_email') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('phpbb_admin_login') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_admin_login"><?=msg('phpbb_admin_login')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="phpbb_admin_login" id="fid-phpbb_admin_login" value="<?=htmlspecialchars(sapp_get_param('phpbb_admin_login'))?>">
		<span class="hint"><?=sapp_is_wrong('phpbb_admin_login') ? sapp_get_wrong('phpbb_admin_login') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('phpbb_admin_passwd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_admin_passwd"><?=msg('phpbb_admin_passwd')?>&nbsp;<?=sapp_get_param('phpbb_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="phpbb_admin_passwd" id="fid-phpbb_admin_passwd" value="">
		<span class="hint"><?=sapp_is_wrong('phpbb_admin_passwd') ? sapp_get_wrong('phpbb_admin_passwd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('phpbb_admin_confirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_admin_confirm"><?=msg('phpbb_admin_confirm')?>&nbsp;<?=sapp_get_param('phpbb_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="phpbb_admin_confirm" id="fid-phpbb_admin_confirm" value="">
		<span class="hint"><?=sapp_get_wrong('phpbb_admin_confirm') ? sapp_get_wrong('oscommerce_admin_confirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>