<?

sapp_include_once('common.php');
$dbname = sapp_get_param('phpbb_dbname');
if (empty($dbname)) {
	$dbname = sapp_get_new_db_name('mysql');
}
$dbuser = sapp_get_param('phpbb_dbuser');
if (empty($dbuser)) {
	$dbuser = sapp_get_new_db_user($dbuser, 'mysql');
}


?>

<fieldset>
	<legend><?=msg('administrator_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('phpbb_site_desc') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-phpbb_site_desc"><?=msg('phpbb_site_desc')?>&nbsp;</label></td>
	<td>
		<input type="text" name="phpbb_site_desc" id="fid-phpbb_site_desc" value="<?=htmlspecialchars(sapp_get_param('phpbb_site_desc'))?>">
		<span class="hint"><?=sapp_is_wrong('phpbb_site_desc') ? sapp_get_wrong('phpbb_site_desc') : ''?></span>
	</td>
</tr>


<tr <?=sapp_is_wrong('phpbb_admin_email') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_login"><?=msg('phpbb_admin_email')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="admin_email" id="fid-admin_email" value="<?=htmlspecialchars(sapp_get_param('phpbb_admin_email'))?>">
		<span class="hint"><?=sapp_is_wrong('phpbb_admin_email') ? sapp_get_wrong('phpbb_admin_email') : ''?></span>
	</td>
</tr>
<tr <?=sapp_is_wrong('phpbb_admin_login') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_login"><?=msg('phpbb_admin_login')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="admin_login" id="fid-admin_login" value="<?=htmlspecialchars(sapp_get_param('phpbb_admin_login'))?>">
		<span class="hint"><?=sapp_is_wrong('phpbb_admin_login') ? sapp_get_wrong('phpbb_admin_login') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('phpbb_admin_passwd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_passwd"><?=msg('phpbb_admin_passwd')?>&nbsp;<?=sapp_get_param('phpbb_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_passwd" id="fid-admin_passwd" value="">
		<span class="hint"><?=sapp_is_wrong('phpbb_admin_passwd') ? sapp_get_wrong('phpbb_admin_passwd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_confirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_confirm"><?=msg('phpbb_admin_confirm')?>&nbsp;<?=sapp_get_param('phpbb_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_confirm" id="fid-admin_confirm" value="">
		<span class="hint"><?=sapp_is_wrong('phpbb_admin_confirm') ? sapp_get_wrong('phpbb_admin_confirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>
